Skip to main content
`Ctrl`+`K`

# DMPlexCreateFluentFromFile

Create a `DMPLEX` mesh from a Fluent mesh file

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateFluentFromFile(MPI_Comm comm, const char filename[], PetscBool interpolate, DM *dm)

Collective

## Input Parameters

- comm - The MPI communicator

- filename - Name of the Fluent mesh file

- interpolate - Create faces and edges in the mesh

## Output Parameter

- dm - The `DM` object representing the mesh

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexCreateFromFile()`, `DMPlexCreateFluent()`, `DMPlexCreate()`

## Level

beginner

## Location

src/dm/impls/plex/plexfluent.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages